

if(!window.ContentFilterService){
var ContentFilterService = 
{
cf_selectedNodeList : null,
initialized : false,
destructed : false,
XULNS : 'http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul',
cmdDeleteAllOther : function()
{
  try{
  var node = viewer.selectedNode;
  var edDel = viewer.getCommand("cmdEditDelete");
  this.deleteSiblings(node,edDel); 
  }catch(ex)
  {
  //alert("the error is "+ex.description);
  }
},



deleteSiblings : function(node,edDel)
{
  while(node.nextSibling!=null)
  {
    edDel.node=node.nextSibling;
    edDel.doCommand();
  }
  while(node.previousSibling!=null)
  {
    edDel.node = node.previousSibling;
    edDel.doCommand();
  }
  if(edDel.parentNode.nodeName!="BODY")
  {
     this.deleteSiblings(node.parentNode,edDel);	
  }

},
cmdDeleteUnSelectedNode : function()
{
  if(this.cf_selectedNodeList!=null)
  {
    this.deleteUnSelected(this.cf_selectedNodeList);
  }
  this.cf_selectedNodeList=null;
  var delUnSelMenu = document.getElementById("cmdDeleteUnSelected");
  delUnSelMenu.setAttribute("disabled","true");
},

deleteUnSelected : function(retainList)
{
  
},

cmdSelectNode : function()
{
  var node = this.node ? this.node : viewer.selectedNode;
  if(this.cf_selectedNodeList==null)
  {
    this.cf_selectedNodeList = new Array();
  }
  this.cf_selectedNodeList[this.cf_selectedNodeList.length]= node; 
  DOMViewer.flashElement(node);
  var delUnSelMenu = document.getElementById("cmdDeleteUnSelected");
  delUnSelMenu.setAttribute("disabled","false");
},
init : function()
{
 initialized= true;
 this.updateGeneralFunctions();
 this.updateTabBrowser();

},
destruct : function()
{
destructed = true;

},
get browsers()
{
	  return document.getElementsByTagNameNS(this.XULNS, 'tabbrowser');	
},
__cfservice__handleURLBarCommand :null,
__cfservice__BrowserLoadURL : null,
updateGeneralFunctions: function()
{
	if ('BrowserLoadURL' in window) {
			window.__cfservice__BrowserLoadURL = window.BrowserLoadURL;
			window.BrowserLoadURL = this.BrowserLoadURL;

			if (this.isNewTypeBrowser) {
				window.__cfservice__handleURLBarCommand = window.handleURLBarCommand;
				window.handleURLBarCommand = this.handleURLBarCommand;
			}
/*
			if (this.isNewTypeBrowser)
				gTSToolbarItemsInsertedEventListener(null, 'urlbar-container');
			else
				document.getElementById('urlbar').setAttribute('ontextentered', 'return TabbrowserService.handleURLBarCommand(param);');
*/
		}
},

BrowserLoadURL : function(aEvent)
{
try{
	return window.__cfservice__BrowserLoadURL(aEvent);
}catch(e)
{
}
},
handleURLBarCommand : function(aEvent)
{
	return window.__cfservice__handleURLBarCommand(aEvent);
},
updateTabBrowser: function()
{
		try{
		var b = this.browsers;
		var updateCurrentBrowser;
		for (var i = 0; i < b.length; i++)
		{


			// reset tabbrowserReadyState
		//	b[i].addEventListener('close', this.onTabbrowserWindowClose, true);
			// failsafe
		/*	b[i].addEventListener('unload', this.onTabbrowserWindowUnload, true);

			b[i].addEventListener('XULTabbrowserTabLoading', this.onXULTabbrowserTabLoading, false);
			b[i].addEventListener('XULTabbrowserTabLoad', this.onXULTabbrowserTabLoad, false);
			b[i].addEventListener('XULTabbrowserTabAdded', this.onXULTabbrowserTabAdded, false);
			b[i].addEventListener('XULTabbrowserTabRemoved', this.onXULTabbrowserTabRemoved, false);
			b[i].addEventListener('XULTabbrowserURIDrop', this.onXULTabbrowserURIDrop, false);
			*/
	
		}
		}catch(e)
		{
		alert("alert in updatetab "+e.description);
		}
		var w = this.browserWindows;
		for (var i=0;i<w.length;i++)
		{
			
			w[i].addEventListener('XULTabbrowserTabAdded', this.onXULTabbrowserTabAdded, false);
			w[i].addEventListener('XULTabbrowserTabRemoved', this.onXULTabbrowserTabRemoved, false);
		}
	},
	_WindowManager : null,
	get browserWindows() 
	{
		var browserWindows = [];

		var targets = this.WindowManager.getEnumerator('navigator:browser', true),
			target;
		while (targets.hasMoreElements())
		{
			target = targets.getNext().QueryInterface(Components.interfaces.nsIDOMWindowInternal);
			browserWindows.push(target);
		}

		return browserWindows;

	}, 
	get WindowManager() 
	{
		if (!this._WindowManager) {
			this._WindowManager = Components.classes['@mozilla.org/appshell/window-mediator;1'].getService(Components.interfaces.nsIWindowMediator);
		}
		return this._WindowManager;
	},
	onXULTabbrowserURIDrop : function(){
	alert("uri drop");
	},
	onTabbrowserWindowClose : function(){
	alert("tab closed");
	},
	onTabbrowserWindowUnload : function(){
	alert("tab unload");
	},
	onXULTabbrowserTabRemoved : function(){
	alert("tab removed");
	},
	onXULTabbrowserTabAdded : function(){
	alert("tab added");
	},
        onXULTabbrowserTabLoad : function(){
        alert("tab load");
	},
        onXULTabbrowserTabLoading : function(){
       alert("tab loading");
	}

}

}

window.addEventListener('unload', function()
{
	if (!ContentFilterService.initialized ||
		ContentFilterService.destructed) return;

	ContentFilterService.destruct();
},
false);

window.addEventListener('load', function()
{
	if (ContentFilterService.initialized) return;

	ContentFilterService.init();
},
false);
